settings
Update settings scoring
Requires scopes: admin:org
PATCH
/
api
/
settings
/
scoring
Update settings scoring
curl --request PATCH \
--url https://evalgate.com/api/settings/scoring \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"weights": {
"safety": 123,
"passRate": 123,
"judgeSchema": 123,
"latencyCost": 123
},
"latencyBands": {
"goodMs": 123,
"badMs": 123
},
"flagThresholds": {
"safetyRisk": 123,
"lowPassRate": 123,
"latencyRisk": 123,
"costRisk": 123
}
}
'import requests
url = "https://evalgate.com/api/settings/scoring"
payload = {
"weights": {
"safety": 123,
"passRate": 123,
"judgeSchema": 123,
"latencyCost": 123
},
"latencyBands": {
"goodMs": 123,
"badMs": 123
},
"flagThresholds": {
"safetyRisk": 123,
"lowPassRate": 123,
"latencyRisk": 123,
"costRisk": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
weights: {safety: 123, passRate: 123, judgeSchema: 123, latencyCost: 123},
latencyBands: {goodMs: 123, badMs: 123},
flagThresholds: {safetyRisk: 123, lowPassRate: 123, latencyRisk: 123, costRisk: 123}
})
};
fetch('https://evalgate.com/api/settings/scoring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"weights": {
"passRate": 123,
"safety": 123,
"judgeSchema": 123,
"latencyCost": 123
},
"judgeSchemaSplit": {
"judge": 123,
"schema": 123
},
"latencyCostSplit": {
"latency": 123,
"cost": 123
},
"latencyBands": {
"goodMs": 123,
"badMs": 123
},
"flagThresholds": {
"safetyRisk": 123,
"lowPassRate": 123,
"latencyRisk": 123,
"costRisk": 123
},
"evidenceLevel": {
"strongMinN": 123,
"mediumMinN": 123
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Update settings scoring
